TechArena Community

TechArena Community (http://forums.techarena.in/)
-   TroubleShoot 98 (http://forums.techarena.in/troubleshoot-98/)
-   -   Highest Version of Adobe Reader for Windows 98se (http://forums.techarena.in/troubleshoot-98/1335199.htm)

Damien25 08-05-2010 05:04 PM

Highest Version of Adobe Reader for Windows 98se
 
I have a Windows 98 SE operating system installed on my computer and I wanted to know which is the latest version of Adobe Reader can work in the same OS or is compatible with it. Thanks for any information.

Johnny 08-05-2010 05:40 PM

I think that Adobe is a very bloated software and therefore you should install a better alternative called Foxit software which is also free and you can easily download it from google. I think that Adobe is less safe and less secured and therefore you should go with the Foxit Reader and it also has more features. To me this days adobe has totally become very annoying.

Donnell 03-07-2010 02:36 AM

I think that Windows 98 SE supports version of Adobe Acrobat Reader till 5.0. And the Acrobat Reader 6.x is the newest that can be tested on Windows 98SE. Also, if you install FoxIt Reader on Windows 98 then you have to make sure that you have installed the latest version for that operating system so that with the latest patch the pdf doesnt get exploit. Hope this helps


All times are GMT +5.5. The time now is 12:20 AM.